at.chipkarte.client.ebs.soap

## Class LeistungsantragAktuell

- Object
- - at.chipkarte.client.ebs.soap.LeistungsantragAktuell

-     public class LeistungsantragAktuell
      extends Object

  Dient der aktuellen Erfassung von Anträgen mittels der Funktion erfassenVerordnerAntrag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeistungsantragAktuell()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adressdaten` | `getAdressePatient()` Adressdaten zum Patienten.
    `String` | `getAnsprechpersonPatient()` Vor- und Zuname einer Ansprechperson.
    `String` | `getAntragstyp()` Definiert welche spezifischen Daten anzugeben sind.
    `AttachmentInfo` | `getAttachmentInfo()` Informationen das Attachment betreffend.
    `CtAntragsdaten` | `getCtAntragsdaten()` Daten für einen CT Antrag.
    `EkvkPatient` | `getEkvkPatient()` Patientendaten eines Patienten ohne SV-Nummer.
    `String` | `getFachgebiet()` Fachgebiet der Verordnung.
    `GenerelleMedizinischeAntragsdaten` | `getGenerelleMedizinischeAntragsdaten()` Generelle medizinische Antragsdaten.
    `GewuenschteLeistung[]` | `getGewuenschteLeistungen()` Gewünschte Leistung des Antrags.
    `KdmAntragsdaten` | `getKdmAntragsdaten()` Daten für einen KDM Antrag.
    `KontaktdatenVerordner` | `getKontaktdatenVerordner()` Kontaktdaten zum Verordner.
    `String` | `getKvt()` KV-Träger bei dem der Patient versichert ist.
    `MrAntragsdaten` | `getMrAntragsdaten()` Daten für einen MR Antrag.
    `NukAntragsdaten` | `getNukAntragsdaten()` Daten für einen NUK Antrag.
    `Verstaendigung` | `getPatientenverstaendigung()` Patientenverständigung.
    `RoetAntragsdaten` | `getRoetAntragsdaten()` Daten für einen ROET Antrag.
    `RoeuAntragsdaten` | `getRoeuAntragsdaten()` Daten für einen ROEU Antrag.
    `String` | `getSonstiges()` Sonstiges.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `void` | `setAdressePatient(Adressdaten adressePatient)`
    `void` | `setAnsprechpersonPatient(String ansprechpersonPatient)`
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setAttachmentInfo(AttachmentInfo attachmentInfo)`
    `void` | `setCtAntragsdaten(CtAntragsdaten ctAntragsdaten)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setFachgebiet(String fachgebiet)`
    `void` | `setGenerelleMedizinischeAntragsdaten(GenerelleMedizinischeAntragsdaten generelleMedizinischeAntragsdaten)`
    `void` | `setGewuenschteLeistungen(GewuenschteLeistung[] gewuenschteLeistungen)`
    `void` | `setKdmAntragsdaten(KdmAntragsdaten kdmAntragsdaten)`
    `void` | `setKontaktdatenVerordner(KontaktdatenVerordner kontaktdatenVerordner)`
    `void` | `setKvt(String kvt)`
    `void` | `setMrAntragsdaten(MrAntragsdaten mrAntragsdaten)`
    `void` | `setNukAntragsdaten(NukAntragsdaten nukAntragsdaten)`
    `void` | `setPatientenverstaendigung(Verstaendigung patientenverstaendigung)`
    `void` | `setRoetAntragsdaten(RoetAntragsdaten roetAntragsdaten)`
    `void` | `setRoeuAntragsdaten(RoeuAntragsdaten roeuAntragsdaten)`
    `void` | `setSonstiges(String sonstiges)`
    `void` | `setSvNummer(String svNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeistungsantragAktuell

          public LeistungsantragAktuell()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `erfassenVerordnerAntrag()`) oder ein `ekvkPatient` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
      Format: 10-stellig
      Returns:
        SvNummer.

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Patientendaten eines Patienten ohne SV-Nummer. Siehe `EkvkPatient`.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `erfassenVerordnerAntrag()`) oder ein `ekvkPatient` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein. Die Angabe eines ekvkPatienten gemeinsam mit einer svNummer und/oder einem Cardtoken ist nicht zulässig.
      Returns:
        EkvkPatient.

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getKvt

          public String getKvt()

      KV-Träger bei dem der Patient versichert ist.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getPatientenverstaendigung

          public Verstaendigung getPatientenverstaendigung()

      Patientenverständigung. Siehe `Verstaendigung`.
      Angabe: Muss.
      Returns:
        Patientenverstaendigung.

    - #### setPatientenverstaendigung

          public void setPatientenverstaendigung(Verstaendigung patientenverstaendigung)

    - #### getAnsprechpersonPatient

          public String getAnsprechpersonPatient()

      Vor- und Zuname einer Ansprechperson.
      Angabe: Kann.
      Format: 140-stellig
      Returns:
        AnsprechpersonPatient.

    - #### setAnsprechpersonPatient

          public void setAnsprechpersonPatient(String ansprechpersonPatient)

    - #### getAdressePatient

          public Adressdaten getAdressePatient()

      Adressdaten zum Patienten. Siehe `Adressdaten`.
      Angabe: Kann.
      Returns:
        AdressePatient.

    - #### setAdressePatient

          public void setAdressePatient(Adressdaten adressePatient)

    - #### getAntragstyp

          public String getAntragstyp()

      Definiert welche spezifischen Daten anzugeben sind.
      Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
      Angabe: Muss.
      Returns:
        Antragstyp.

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### getGenerelleMedizinischeAntragsdaten

          public GenerelleMedizinischeAntragsdaten getGenerelleMedizinischeAntragsdaten()

      Generelle medizinische Antragsdaten. Siehe `GenerelleMedizinischeAntragsdaten`.
      Angabe: Muss.
      Returns:
        GenerelleMedizinischeAntragsdaten.

    - #### setGenerelleMedizinischeAntragsdaten

          public void setGenerelleMedizinischeAntragsdaten(GenerelleMedizinischeAntragsdaten generelleMedizinischeAntragsdaten)

    - #### getCtAntragsdaten

          public CtAntragsdaten getCtAntragsdaten()

      Daten für einen CT Antrag. Siehe `CtAntragsdaten`.
      Angabe: Kann.
      Returns:
        CtAntragsdaten.

    - #### setCtAntragsdaten

          public void setCtAntragsdaten(CtAntragsdaten ctAntragsdaten)

    - #### getMrAntragsdaten

          public MrAntragsdaten getMrAntragsdaten()

      Daten für einen MR Antrag. Siehe `MrAntragsdaten`.
      Angabe: Kann.
      Returns:
        MrAntragsdaten.

    - #### setMrAntragsdaten

          public void setMrAntragsdaten(MrAntragsdaten mrAntragsdaten)

    - #### getNukAntragsdaten

          public NukAntragsdaten getNukAntragsdaten()

      Daten für einen NUK Antrag. Siehe `NukAntragsdaten`.
      Angabe: Kann.
      Returns:
        NukAntragsdaten.

    - #### setNukAntragsdaten

          public void setNukAntragsdaten(NukAntragsdaten nukAntragsdaten)

    - #### getKdmAntragsdaten

          public KdmAntragsdaten getKdmAntragsdaten()

      Daten für einen KDM Antrag. Siehe `KdmAntragsdaten`.
      Angabe: Kann.
      Returns:
        KdmAntragsdaten.

    - #### setKdmAntragsdaten

          public void setKdmAntragsdaten(KdmAntragsdaten kdmAntragsdaten)

    - #### getRoetAntragsdaten

          public RoetAntragsdaten getRoetAntragsdaten()

      Daten für einen ROET Antrag. Siehe `RoetAntragsdaten`.
      Angabe: Kann.
      Returns:
        RoetAntragsdaten.

    - #### setRoetAntragsdaten

          public void setRoetAntragsdaten(RoetAntragsdaten roetAntragsdaten)

    - #### getRoeuAntragsdaten

          public RoeuAntragsdaten getRoeuAntragsdaten()

      Daten für einen ROEU Antrag. Siehe `RoeuAntragsdaten`.
      Angabe: Kann.
      Returns:
        RoeuAntragsdaten.

    - #### setRoeuAntragsdaten

          public void setRoeuAntragsdaten(RoeuAntragsdaten roeuAntragsdaten)

    - #### getGewuenschteLeistungen

          public GewuenschteLeistung[] getGewuenschteLeistungen()

      Gewünschte Leistung des Antrags. Siehe `GewuenschteLeistung`.
      Angabe: Muss. Es muss mindestens eine gewünschte Leistung angegeben werden. Es dürfen maximal 10 gewünschte Leistungen angegeben werden.
      Returns:
        GewuenschteLeistungen.

    - #### setGewuenschteLeistungen

          public void setGewuenschteLeistungen(GewuenschteLeistung[] gewuenschteLeistungen)

    - #### getAttachmentInfo

          public AttachmentInfo getAttachmentInfo()

      Informationen das Attachment betreffend. Siehe `AttachmentInfo`.
      Angabe: Bedingt. Muss angegeben werden wenn ein Attachment als SOAP Attachment angegeben wurde.
      Returns:
        AttachmentInfo.

    - #### setAttachmentInfo

          public void setAttachmentInfo(AttachmentInfo attachmentInfo)

    - #### getFachgebiet

          public String getFachgebiet()

      Fachgebiet der Verordnung.
      Mögliche Werte siehe `getFachgebiete`.
      Angabe: Muss.
      Returns:
        Fachgebiet.

    - #### setFachgebiet

          public void setFachgebiet(String fachgebiet)

    - #### getKontaktdatenVerordner

          public KontaktdatenVerordner getKontaktdatenVerordner()

      Kontaktdaten zum Verordner. Siehe `KontaktdatenVerordner`.
      Angabe: Kann.
      Returns:
        KontaktdatenVerordner.

    - #### setKontaktdatenVerordner

          public void setKontaktdatenVerordner(KontaktdatenVerordner kontaktdatenVerordner)

    - #### getSonstiges

          public String getSonstiges()

      Sonstiges.
      Angabe: Kann.
      Format: 256-stellig
      Returns:
        Sonstiges.

    - #### setSonstiges

          public void setSonstiges(String sonstiges)